<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:urn="urn:openaccess">
   <soapenv:Header>
      <urn:SessionToken>
         <urn:userLoginName>APIUSER2</urn:userLoginName>
         <urn:sessionKey>56042464946187846641027635069564695081300043908122521530400453508276150033715056</urn:sessionKey>
      </urn:SessionToken>
   </soapenv:Header>
   <soapenv:Body>
      <urn:EnterComplexOrder>
         <ComplexOrder>
            <urn:portfolio>TEST-T02</urn:portfolio>
            <urn:area>NI-SONI-DA</urn:area>
			<urn:deliveryDay>2019-10-27</urn:deliveryDay>
            <!--1 or more repetitions:-->
            <!--urn:AuctionIdentification>-->
               <!--You have a CHOICE of the next 2 items at this level-->
               <!--urn:UTCDateTime>?</urn:UTCDateTime>-->
               <!--urn:AuctionDate>?</urn:AuctionDate>-->
               <!--Optional:-->
               <!--urn:name>?</urn:name>-->
               <!--Optional:-->
               <!--urn:duration>?</urn:duration>-->
            <!--/urn:AuctionIdentification>-->
            <!--1 or more repetitions:-->
            <urn:Curve>
			<!--Period = 1 refers to normal hour 00-01.The time zone referred here is GMT/BST-->
               <urn:period>1</urn:period>
               <!--Optional:-->
               <!--1 or more repetitions:-->
               <urn:CurvePoint>
                  <urn:price>-1500</urn:price>
                  <urn:volume>500</urn:volume>
               </urn:CurvePoint>
               <urn:CurvePoint>
                  <urn:price>500</urn:price>
                  <urn:volume>500</urn:volume>
               </urn:CurvePoint>
               <urn:CurvePoint>
                  <urn:price>500</urn:price>
                  <urn:volume>200</urn:volume>
               </urn:CurvePoint>
               <urn:CurvePoint>
                  <urn:price>1000</urn:price>
                  <urn:volume>200</urn:volume>
               </urn:CurvePoint>
			   <urn:CurvePoint>
                  <urn:price>1000</urn:price>
                  <urn:volume>0</urn:volume>
               </urn:CurvePoint>
               <urn:CurvePoint>
                  <urn:price>9000</urn:price>
                  <urn:volume>0</urn:volume>
               </urn:CurvePoint>
            </urn:Curve>
            <urn:Curve>
			<!--Period = 4 refers to long winter day hour 02X-03X. The time zone referred here is GMT/BST-->
               <urn:period>4</urn:period>
               <!--Optional:-->
               <!--1 or more repetitions:-->
               <urn:CurvePoint>
                  <urn:price>-1500</urn:price>
                  <urn:volume>300</urn:volume>
               </urn:CurvePoint>
               <urn:CurvePoint>
                  <urn:price>500</urn:price>
                  <urn:volume>300</urn:volume>
               </urn:CurvePoint>
               <urn:CurvePoint>
                  <urn:price>500</urn:price>
                  <urn:volume>200</urn:volume>
               </urn:CurvePoint>
               <urn:CurvePoint>
                  <urn:price>1000</urn:price>
                  <urn:volume>200</urn:volume>
               </urn:CurvePoint>
			   <urn:CurvePoint>
                  <urn:price>1000</urn:price>
                  <urn:volume>160</urn:volume>
               </urn:CurvePoint>
               <urn:CurvePoint>
                  <urn:price>9000</urn:price>
                  <urn:volume>160</urn:volume>
               </urn:CurvePoint>
            </urn:Curve>
           <urn:Curve>
		   <!--Period = 25 refers to normal hour 23-00. The time zone referred here is GMT/BST-->
               <urn:period>25</urn:period>
               <!--Optional:-->
               <!--1 or more repetitions:-->
               <urn:CurvePoint>
                  <urn:price>-1500</urn:price>
                  <urn:volume>220</urn:volume>
               </urn:CurvePoint>
               <urn:CurvePoint>
                  <urn:price>500</urn:price>
                  <urn:volume>220</urn:volume>
               </urn:CurvePoint>
               <urn:CurvePoint>
                  <urn:price>500</urn:price>
                  <urn:volume>160</urn:volume>
               </urn:CurvePoint>
               <urn:CurvePoint>
                  <urn:price>1000</urn:price>
                  <urn:volume>160</urn:volume>
               </urn:CurvePoint>
			   <urn:CurvePoint>
                  <urn:price>1000</urn:price>
                  <urn:volume>100</urn:volume>
               </urn:CurvePoint>
               <urn:CurvePoint>
                  <urn:price>9000</urn:price>
                  <urn:volume>100</urn:volume>
               </urn:CurvePoint>
            </urn:Curve>
            <urn:fixed_Term>1</urn:fixed_Term>
            <urn:variable_Term>1</urn:variable_Term>
            <!--Optional:-->
            <urn:increase_Gradient>2</urn:increase_Gradient>
            <!--Optional:-->
            <urn:decrease_Gradient>1</urn:decrease_Gradient>
            <urn:schedule_Stop>1</urn:schedule_Stop>
         </ComplexOrder>
      </urn:EnterComplexOrder>
   </soapenv:Body>
</soapenv:Envelope>